REST API ReferenceDashboard APIAuth
Sign in with GitHub
POST
/auth/githubSign in with Github.
Should pass in type as "code" along with state and code received from Github.
Query Parameters
ga_client_id?string
Optional Google Analytics client identifier forwarded during sign-in.
gclid?string
Optional Google Ads click identifier forwarded during sign-in.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/auth/github" \ -H "Content-Type: application/json" \ -d '{ "type": "code", "state": "eyJyYW5kb20iOiIxOGY0NDIzZjExY2FiM2ZkOTRiNDZlMzU0ZWU1MDNlZjEyODk1MmY3YzViMDgxNjczMDkwMzVhYzU3ZjNkYjgxIiwicGF0aCI6IiJ9", "code": "ccd85e1fbfae2924588a" }'{ "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHAiOjE3NDUyMjU0ODR9.UA-rtIY8TPjB3gkt0xgxTTXWa84uB6nr9vMyg0gMnSI", "refresh_token": "yJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHAiOjE3NDU4Mjg0ODR9.1-meGfGQ8i9IlNxKXmBlDc4lEu-O63jG2vrd7yP0-j8", "session_id": "afae8473-2419-4303-a262-2aea520de295", "user_id": "835283a5-cddc-472b-84ad-5ea3319efeed", "own_team_id": "e47ac49d-0697-4e85-8607-1a34536c04e3"}Empty
Empty
Empty
Think this page can be better?
Open an issue